# Class BasicToggleButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.basic.BasicButtonUI
javax.swing.plaf.basic.BasicToggleButtonUI

Direct Known Subclasses:
  `BasicRadioButtonUI`, `MetalToggleButtonUI`

public class BasicToggleButtonUI extends BasicButtonUI
BasicToggleButton implementation

- ## Field Summary

  ### Fields declared in class javax.swing.plaf.basic.BasicButtonUI

  `defaultTextIconGap, defaultTextShiftOffset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicToggleButtonUI()`
  Constructs a `BasicToggleButtonUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent b)`
  Returns an instance of `BasicToggleButtonUI`.
  `protected int`
  `getTextShiftOffset()`
  Overridden so that the text will not be rendered as shifted for Toggle buttons and subclasses.
  `protected void`
  `paintIcon(Graphics g, AbstractButton b, Rectangle iconRect)`
  Paints an icon in the specified location.

  ### Methods declared in class javax.swing.plaf.basic.BasicButtonUI

  `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getPropertyPrefix, installDefaults, installKeyboardActions, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicToggleButtonUI

    public BasicToggleButtonUI()
    Constructs a `BasicToggleButtonUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent b)
    Returns an instance of `BasicToggleButtonUI`.
    Parameters:
      `b` - a component
    Returns:
      an instance of `BasicToggleButtonUI`

  - ### paintIcon

    protected void paintIcon(Graphics g, AbstractButton b, Rectangle iconRect)
    Paints an icon in the specified location.
    Parameters:
      `g` - an instance of `Graphics`
      `b` - an instance of `Button`
      `iconRect` - bounds of an icon

  - ### getTextShiftOffset

    protected int getTextShiftOffset()
    Overridden so that the text will not be rendered as shifted for Toggle buttons and subclasses.
    Overrides:
      `getTextShiftOffset` in class `BasicButtonUI`
    Returns:
      the offset of the text